Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class MeterInterval

    java.lang.Object
      org.jfree.chart.plot.MeterInterval

All Implemented Interfaces:
  java.io.Serializable

    public class MeterInterval

extends java.lang.Object
implements java.io.Serializable

An interval to be highlighted on a `MeterPlot`. Instances of this class are immutable.

See Also:
  Serialized Form

Constructor Summary
`MeterInterval(java.lang.String label, Range range)` Creates a new interval.
`MeterInterval(java.lang.String label, Range range, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, java.awt.Paint backgroundPaint)` Creates a new interval.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Checks this instance for equality with an arbitrary object.
`java.awt.Paint` | `getBackgroundPaint()` Returns the background paint.
`java.lang.String` | `getLabel()` Returns the label.
`java.awt.Paint` | `getOutlinePaint()` Returns the outline paint.
`java.awt.Stroke` | `getOutlineStroke()` Returns the outline stroke.
`Range` | `getRange()` Returns the range.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeterInterval

    public MeterInterval(java.lang.String label,
                         Range range)

  Creates a new interval.

  Parameters:
    `label` - the label (`null` not permitted).
    `range` - the range (`null` not permitted).

### MeterInterval

    public MeterInterval(java.lang.String label,
                         Range range,
                         java.awt.Paint outlinePaint,
                         java.awt.Stroke outlineStroke,
                         java.awt.Paint backgroundPaint)

  Creates a new interval.

  Parameters:
    `label` - the label (`null` not permitted).
    `range` - the range (`null` not permitted).
    `outlinePaint` - the outline paint (`null` permitted).
    `outlineStroke` - the outline stroke (`null` permitted).
    `backgroundPaint` - the background paint (`null` permitted).

Method Detail

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Returns:
    The label (never `null`).

### getRange

    public Range getRange()

  Returns the range.

  Returns:
    The range (never `null`).

### getBackgroundPaint

    public java.awt.Paint getBackgroundPaint()

  Returns the background paint. If `null`, the background should remain unfilled.

  Returns:
    The background paint (possibly `null`).

### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

  Returns the outline paint.

  Returns:
    The outline paint (possibly `null`).

### getOutlineStroke

    public java.awt.Stroke getOutlineStroke()

  Returns the outline stroke.

  Returns:
    The outline stroke (possibly `null`).

### equals

    public boolean equals(java.lang.Object obj)

  Checks this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.